Bug 172751 - New ports: chinese/librime and chinese/fcitx-rime
Summary: New ports: chinese/librime and chinese/fcitx-rime
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-16 04:10 UTC by lichray
Modified: 2012-10-22 08:56 UTC (History)
0 users

See Also:


Attachments
file.shar (2.94 KB, text/plain)
2012-10-16 04:10 UTC, lichray
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2012-10-16 04:10:02 UTC
	
	Port the RIME input method engine (along with the fcitx-rime front-end):
	https://code.google.com/p/rimeime/

	This PR depends on ports/172737 , or libyaml-cpp can't be detected.
	I also recommend ports/172735 to be committed first.

	The chinese/rime port contains both the engine and the data.
	The chinese/fcitx-rime port contains a patch to install the imicon. The upstream will do the same thing in the next release.

Fix: 

--- fcitx-rime.shar ends here -----DtcTRwxIVfuGE9j0HW1qw2HfJBxezCOgLfZ1X0iFoHrUFwOT
Content-Type: text/plain; name="librime.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="librime.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	librime
#	librime/Makefile
#	librime/distinfo
#	librime/pkg-plist
#	librime/pkg-descr
#
echo c - librime
mkdir -p librime > /dev/null 2>&1
echo x - librime/Makefile
sed 's/^X//' >librime/Makefile << 'a986b8653198841afa31954a3736c79e'
X# New ports collection makefile for:	librime
X# Date created:		15 Oct 2012
X# Whom:			Zhihao Yuan <lichray@gmail.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	librime
XPORTVERSION=	0.9.4
XCATEGORIES=	chinese textproc
XMASTER_SITES=	GOOGLE_CODE
XDISTFILES=	${DISTNAME}${EXTRACT_SUFX} brise-${DATA_VER}.tar.gz
X
XMAINTAINER=	lichray@gmail.com
XCOMMENT=	Rime Input Method Engine
X
XLICENSE=	GPLv3
X
XLIB_DEPENDS=	boost_thread:${PORTSDIR}/devel/boost-libs \
X		glog:${PORTSDIR}/devel/glog \
X		kyotocabinet:${PORTSDIR}/databases/kyotocabinet \
X		opencc:${PORTSDIR}/chinese/opencc \
X		yaml-cpp:${PORTSDIR}/devel/yaml-cpp
X
XUSE_CMAKE=	yes
XUSE_GETTEXT=	yes
XUSE_GNOME=	pkgconfig
XUSE_LDCONFIG=	yes
XLDFLAGS+=	-lintl
X
Xpost-patch:     .SILENT
X	${REINPLACE_CMD} 's|$${LIB_INSTALL_DIR}/pkgconfig|$${prefix}/libdata/pkgconfig|' \
X		${WRKSRC}/CMakeLists.txt
X
Xpost-build:
X	@echo "building rime data."
X	@${MKDIR} ${DATASRC}
X	@(cd ${WRKDIR}/brise; ${CP} \
X	default.yaml essay.kct supplement/*.yaml preset/*.yaml ${DATASRC})
X	${WRKSRC}/bin/rime_deployer --build ${DATASRC}
X
Xpost-install:
X	${MKDIR} ${DATADIR}/data
X	${INSTALL_DATA} ${DATASRC}/*.kct ${DATASRC}/*.bin ${DATADIR}/data/
X
XPROJECTHOST=	rimeime
XDATA_VER=	0.13
XWRKSRC=		${WRKDIR}/${PORTNAME}
XDATASRC=	${WRKDIR}/tmp
XDATADIR=	${PREFIX}/share/rime
X
X.include <bsd.port.mk>
a986b8653198841afa31954a3736c79e
echo x - librime/distinfo
sed 's/^X//' >librime/distinfo << 'faae626f43d8b2d1a415985def0f7af4'
XSHA256 (librime-0.9.4.tar.gz) = 626082f5a2954686059445e414786691ee568777104ce8e093fbfd47c0095795
XSIZE (librime-0.9.4.tar.gz) = 2300407
XSHA256 (brise-0.13.tar.gz) = 72c7ea43b5baf972a1d9a6cccce5f860b73924b36e2b3f68822ac8329d1c11f3
XSIZE (brise-0.13.tar.gz) = 5368874
faae626f43d8b2d1a415985def0f7af4
echo x - librime/pkg-plist
sed 's/^X//' >librime/pkg-plist << '970b12180250265399d84efc9947820c'
Xbin/rime_deployer
Xbin/rime_dict_manager
Xinclude/rime_api.h
Xlib/librime.so
Xlib/librime.so.0
Xlib/librime.so.0.9.4
Xlibdata/pkgconfig/rime.pc
Xshare/cmake/rime/RimeConfig.cmake
Xshare/rime/data/cangjie5.prism.bin
Xshare/rime/data/cangjie5.reverse.bin
Xshare/rime/data/cangjie5.table.bin
Xshare/rime/data/essay.kct
Xshare/rime/data/luna_pinyin.prism.bin
Xshare/rime/data/luna_pinyin.reverse.bin
Xshare/rime/data/luna_pinyin.table.bin
Xshare/rime/data/luna_pinyin_fluency.prism.bin
Xshare/rime/data/luna_pinyin_simp.prism.bin
X@dirrmtry share/rime/data
X@dirrmtry share/rime
X@dirrm share/cmake/rime
970b12180250265399d84efc9947820c
echo x - librime/pkg-descr
sed 's/^X//' >librime/pkg-descr << '13bb923c94fce5e70df61136cbe22d79'
XRime Input Method Engine is a customizable and dialect-friendly intelligent
XChinese input method.
X
XWWW:	http://code.google.com/p/rimeime/
13bb923c94fce5e70df61136cbe22d79
exit
Comment 1 Wen Heping freebsd_committer 2012-10-22 08:56:13 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!